using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace Foosball
{
    public class FoosObj
    {       
        protected Model _model;
        protected Vector3 _pos;
        protected float _rot_z;         
        

        public FoosObj(Model model)
        {
            _model = model;
            _pos = Vector3.Zero;            
        }

        #region Properties
        public Vector3 position
        {
            get
            {
                return _pos;
            }
            set
            {
                _pos = value;
            }
        }

        public float positionX
        {
            get
            {
                return _pos.X;
            }
            set
            {
                _pos.X = value;
            }
        }

        public float positionY
        {
            get
            {
                return _pos.Y;
            }
            set
            {
                _pos.Y = value;
            }
        }

        public float positionZ
        {
            get
            {
                return _pos.Z;
            }
            set
            {
                _pos.Z = value;
            }
        }

        public float zRotation
        {
            get
            {
                return _rot_z;
            }
            set
            {
                _rot_z = value;
            }
        }  

        public Model modelRef
        {
            get
            {
                return _model;
            }
            set
            {
                _model = value;
            }
        }
        #endregion

        public virtual void Update(Control control, double milliseconds) {}
    }
}
